\section{Kinematic Structure}

The characterization of the manipulator based on its structure is of an anthropomorphic manipulator with spherical wrist. Two representations of the joint frames are shown for a better visualization. \autoref{figure:kc1} shows the 3D diagram view, while \autoref{figure:kc2} shows the top, front, and side view of the manipulator, without the joints to be able to identify the symbols better.


\begin{figure}[H]
    \includegraphics[width=\textwidth]{\subdir/kinematic-structure.png}
    \caption{Kinematic structure diagram}\label{figure:kc1}
\end{figure}


\begin{figure}[H]
    \includegraphics[width=\textwidth]{\subdir/diagram.png}
    \caption{Kinematic structure diagram}\label{figure:kc2}
\end{figure}

\subsection{Denavit-Hartenberg parameters}
The axis are set in the kinematic structure based on the modified Denavit-Hartenberg approach. The result is shown in \autoref{table:dhparameters}. The steps can be summarized into: 
\begin{enumerate}
\item Draw the manipulator
\item Identify the axes of rotation for the joints
\item Assign the $z_i$ axis to the $i^{th}$ axis of rotation.
\item Find the common perpendiculars between the $z_{i-1}$ and $z_i$ axes.
\item Define the $x_i$ axes – the axis $x_{i-1}$ coincides with the common perpendicular between the $z_{i-1}$ and $z_i$ axes and points from $z_{i-1}$ to $z_i$.
\item Determine the $y_i$ axes $y_i = z_i x x_i$

\end{enumerate}


\begin{table}[h]
    \centering
    \begin{tabular}{c | c c c c}
    $i$ & $a_{i-1}$ & $\alpha_{i-1}$ & $d_i$ & $\theta_i$ \\
    \hline
    1 & 0 & 0 & $d_1$ & $\theta_1$ \\
    2 & 0 & $\frac{3 \pi }{2}$ & 0 & $\theta_2$ \\
    3 & $a_2$ & 0 & 0 & $\theta_3$ \\
    4 & $a_3$ & $\frac{3 \pi }{2}$ & $d_4$ & $\theta_4$ \\
    5 & 0 & $\frac{\pi }{2}$ & 0 & $\theta_5$ \\
    6 & 0 & $\frac{3 \pi }{2}$ & $d_6$ & $\theta_6$ \\
    \end{tabular}
    \caption{Denavit-Hartenberg parameters}\label{table:dhparameters}
\end{table}

\subsection{Validation}
This kinematic structure and the choice of Denavit-Hartenberg parameters has
been validated by means of a visualization of the simulated direct kinematics.
A complete animation of the simulation can be found
\href{https://gitlab.com/jemaro/wut/group-project-a/-/blob/master/animation.mp4}{in
the project repository}.

\begin{figure}
    \centering
    \includegraphics[width=0.5\textwidth]{\subdir/animation-screenshot.png}
    \label{animation-screenshot}
    \caption{Screenshot of a visualization of the kinematic structure}
\end{figure}